function str = dms(x);
% Calculates and displays decimal degree angles in 
% degrees-minutes-seconds in ddd-mm-ss form used in geodesy 
  d = fix(x);
  m = fix((x-d) .* 60);
  s = round(((x-d).*60-m).*60);
  str = sprintf('%3d-%02d-%02d', d, abs(m), abs(s));
end
